# 62. Mutacija: bendrinti ūkius

Masinis ūkio bendrinimas vartotojams organizacijos viduje arba išoriniams vartotojams. Yra du atvejai, kada taikyti mutaciją. Pirmasis atvejis yra masinis „Ūkio“ bendrinimas pagal el. pašto sąrašą.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    pavadinimas
    farmOwnership
    sukūrimoData
    updatedDate
    el. paštas
  }
}

```

{% endcode %}

O antrasis atvejis yra nustatyti ženklą ‘allFarms=true’ vartotojų sąrašui organizacijoje, kas reiškia, kad visi nauji ūkiai organizacijoje bus prieinami šiems vartotojams.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    pavadinimas
    farmOwnership
    sukūrimoData
    updatedDate
    el. paštas
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/62.-mutacija-bendrinti-ukius.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
